## kf6-kjobwidgets 6.12.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.12.0") # handled by release scripts
set(KF_DEP_VERSION "6.12.0") # handled by release scripts
project(KJobWidgets VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 6.12.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(KDEGitCommitHooks)
include(ECMQtDeclareLoggingCategory)
include(ECMPoQmTools)
include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMDeprecationSettings)
include(ECMAddQch)
include(CMakePackageConfigHelpers)

set(REQUIRED_QT_VERSION 6.6.0)
find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets)

if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
endif()

if(NOT WIN32 AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
    option(WITH_X11 "Build with support for QX11Info::appUserTime()" ON)
endif()

# shall we use DBus?
# enabled per default on Linux & BSD systems
set(USE_DBUS_DEFAULT OFF)
if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
    set(USE_DBUS_DEFAULT ON)
endif()
option(USE_DBUS "Build components using DBus" ${USE_DBUS_DEFAULT})
if(USE_DBUS)
    find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus)
    set(HAVE_QTDBUS ${Qt6DBus_FOUND})
endif()

find_package(KF6CoreAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF6WidgetsAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF6Notifications ${KF_DEP_VERSION} REQUIRED)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

set(kjobwidgets_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/kjobwidgets_version.h")
ecm_setup_version(PROJECT VARIABLE_PREFIX KJOBWIDGETS
                        VERSION_HEADER "${kjobwidgets_version_header}"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6JobWidgetsConfigVersion.cmake"
                        SOVERSION 6)

ecm_set_disabled_deprecation_versions(
    QT 6.8.0
    KF 6.11.0
)

ecm_install_po_files_as_qm(poqm)

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(autotests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6JobWidgets")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF6JobWidgets_QCH
        FILE KF6JobWidgetsQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6JobWidgetsQchTargets.cmake\")")
endif()

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6JobWidgetsConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6JobWidgetsConfig.cmake"
  PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF6JobWidgetsConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6JobWidgetsConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF6JobWidgetsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6JobWidgetsTargets.cmake NAMESPACE KF6:: )

install(FILES
   ${kjobwidgets_version_header}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KJobWidgets COMPONENT Devel
)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

## kf6-kjobwidgets 6.0.0

=== debian/changelog ===
kf6-kjobwidgets (6.0.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.0.0).

  [ Aurélien COUDERC ]
  * Add/update Jonathan Esk-Riddell in upstream signing keys.
  * Build against Qt6.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 08 May 2024 16:03:14 +0200

kjobwidgets (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself as uploader and remove inactive ones. Thank you for your
    work.

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:00:01 +0100

kjobwidgets (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.105.0.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:36 +0200

kjobwidgets (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:55 +0100

kjobwidgets (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:27 +0100

kjobwidgets (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:05 +0100

kjobwidgets (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:28 +0100

kjobwidgets (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:00 +0100

kjobwidgets (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:42 +0200

kjobwidgets (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:33 +0200

kjobwidgets (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:02 +0200

kjobwidgets (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:04 +0200

kjobwidgets (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).
  * Update the list of installed files from build logs.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:45 +0200

kjobwidgets (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:43 +0100

kjobwidgets (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:40 +0900

kjobwidgets (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 10:57:26 +0900

kjobwidgets (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:47 +0900

kjobwidgets (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:04:16 +0900

kjobwidgets (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:53:06 +0900

kjobwidgets (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 13:25:32 +0900

kjobwidgets (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!

 -- Norbert Preining <norbert@preining.info>  Sat, 08 May 2021 21:15:10 +0900

kjobwidgets (5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Apr 2021 10:18:19 +0900

kjobwidgets (5.80.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.80.0)
  * Bump inter-frameworks dependencies.
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Mon, 15 Mar 2021 15:10:34 +0900

kjobwidgets (5.79.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Remove graphviz from build depends.
  * New upstream release (5.79.0).



=== debian/control ===
Source: kf6-kjobwidgets
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6notifications-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.0.0~),
               libxkbcommon-dev (>= 0.5.0~),
               libqt6sql6-sqlite <!nocheck>,
               libx11-dev,
               qt6-base-dev (>= 6.5.0~),
	       qt6-base-private-dev (>= 6.5.0~),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/kjobwidgets
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kjobwidgets
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kjobwidgets.git
Rules-Requires-Root: no

Package: libkf6jobwidgets-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: widgets for tracking KJob instances - data files
 Window class that associates this job with a window given by
 window. This is used by KDialogJobUiDelegate as parent widget
 for error messages, KWidgetJobTracker as parent widget for
 progress dialogs, KIO::AbstractJobInteractionInterface as
 parent widget for rename/skip dialogs and possibly more.
 Overload that takes a QWindow.
 .
 Timestamp handling to update the last user action timestamp
 to the given time. Returns the last user action timestamp.
 .
 This package contains the translations for the Qt6 version of KJobWidgets.

Package: libkf6jobwidgets-dev
Section: libdevel
Architecture: any
Depends: libkf6coreaddons-dev (>= 6.0.0~),
         libkf6jobwidgets6 (= ${binary:Version}),
         libkf6notifications-dev (>= 6.0.0~),
         libkf6widgetsaddons-dev (>= 6.0.0~),
         qt6-base-dev (>= 6.5.0~),
	 qt6-base-private-dev (>= 6.5.0~),
         ${misc:Depends},
Recommends: libkf6jobwidgets-doc (= ${source:Version}),
Description: widgets for tracking KJob instances - development files
 Window class that associates this job with a window given by
 window. This is used by KDialogJobUiDelegate as parent widget
 for error messages, KWidgetJobTracker as parent widget for
 progress dialogs, KIO::AbstractJobInteractionInterface as
 parent widget for rename/skip dialogs and possibly more.
 Overload that takes a QWindow.
 .
 Timestamp handling to update the last user action timestamp
 to the given time. Returns the last user action timestamp.
 .
 This package contains development files for the Qt6 version of KJobWidgets.

Package: libkf6jobwidgets-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: widgets for tracking KJob instances - documentation
 Window class that associates this job with a window given by
 window. This is used by KDialogJobUiDelegate as parent widget
 for error messages, KWidgetJobTracker as parent widget for
 progress dialogs, KIO::AbstractJobInteractionInterface as
 parent widget for rename/skip dialogs and possibly more.
 Overload that takes a QWindow.
 .
 Timestamp handling to update the last user action timestamp
 to the given time. Returns the last user action timestamp.
 .
 This package contains the qch documentation for the Qt6 version of KJobWidgets.

Package: libkf6jobwidgets6
Architecture: any
Multi-Arch: same
Depends: libkf6jobwidgets-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: widgets for tracking KJob instances
 Window class that associates this job with a window given by
 window. This is used by KDialogJobUiDelegate as parent widget
 for error messages, KWidgetJobTracker as parent widget for
 progress dialogs, KIO::AbstractJobInteractionInterface as
 parent widget for rename/skip dialogs and possibly more.
 Overload that takes a QWindow.
 .
 Timestamp handling to update the last user action timestamp
 to the given time. Returns the last user action timestamp.
 .
 This package contains the Qt6 version of the shared library.

## kf6-kjobwidgets 6.3.0

=== debian/changelog ===
kf6-kjobwidgets (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 14:59:18 +0200

=== debian/control ===
--- 
+++ 
@@ -9,16 +9,16 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.0.0~),
-               libkf6coreaddons-dev (>= 6.0.0~),
-               libkf6notifications-dev (>= 6.0.0~),
-               libkf6widgetsaddons-dev (>= 6.0.0~),
-               libxkbcommon-dev (>= 0.5.0~),
+               extra-cmake-modules (>= 6.3.0~),
+               libkf6coreaddons-dev (>= 6.3.0~),
+               libkf6notifications-dev (>= 6.3.0~),
+               libkf6widgetsaddons-dev (>= 6.3.0~),
                libqt6sql6-sqlite <!nocheck>,
                libx11-dev,
+               libxkbcommon-dev (>= 0.5.0~),
                qt6-base-dev (>= 6.5.0~),
-	       qt6-base-private-dev (>= 6.5.0~),
-Standards-Version: 4.6.2
+               qt6-base-private-dev (>= 6.5.0~),
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kjobwidgets
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kjobwidgets
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kjobwidgets.git
@@ -44,12 +44,12 @@
 Package: libkf6jobwidgets-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6coreaddons-dev (>= 6.0.0~),
+Depends: libkf6coreaddons-dev (>= 6.3.0~),
          libkf6jobwidgets6 (= ${binary:Version}),
-         libkf6notifications-dev (>= 6.0.0~),
-         libkf6widgetsaddons-dev (>= 6.0.0~),
+         libkf6notifications-dev (>= 6.3.0~),
+         libkf6widgetsaddons-dev (>= 6.3.0~),
          qt6-base-dev (>= 6.5.0~),
-	 qt6-base-private-dev (>= 6.5.0~),
+         qt6-base-private-dev (>= 6.5.0~),
          ${misc:Depends},
 Recommends: libkf6jobwidgets-doc (= ${source:Version}),
 Description: widgets for tracking KJob instances - development files

## kf6-kjobwidgets 6.6.0

=== debian/changelog ===
kf6-kjobwidgets (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 23:10:19 +0200

kf6-kjobwidgets (6.5.0-2) unstable; urgency=medium

  * Team upload.
  * 'acc' autopkgtest: set -std=c++17, needed when using Qt 6.
  * CI: update/simplify configuration.
  * Remove the unused debian/meta/ stuff.
  * Remove the leftovers of the old 'testsuite' autopkgtest.
  * Drop the unused ${shlibs:Depends} substvar from libkf6jobwidgets-data.

 -- Pino Toscano <pino@debian.org>  Sun, 18 Aug 2024 19:07:25 +0200

kf6-kjobwidgets (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:22:07 +0200

kf6-kjobwidgets (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 09:24:41 +0200

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.3.0~),
-               libkf6coreaddons-dev (>= 6.3.0~),
-               libkf6notifications-dev (>= 6.3.0~),
-               libkf6widgetsaddons-dev (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
+               libkf6coreaddons-dev (>= 6.6.0~),
+               libkf6notifications-dev (>= 6.6.0~),
+               libkf6widgetsaddons-dev (>= 6.6.0~),
                libqt6sql6-sqlite <!nocheck>,
                libx11-dev,
                libxkbcommon-dev (>= 0.5.0~),
@@ -27,7 +27,7 @@
 Package: libkf6jobwidgets-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
 Description: widgets for tracking KJob instances - data files
  Window class that associates this job with a window given by
  window. This is used by KDialogJobUiDelegate as parent widget
@@ -44,10 +44,10 @@
 Package: libkf6jobwidgets-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6coreaddons-dev (>= 6.3.0~),
+Depends: libkf6coreaddons-dev (>= 6.6.0~),
          libkf6jobwidgets6 (= ${binary:Version}),
-         libkf6notifications-dev (>= 6.3.0~),
-         libkf6widgetsaddons-dev (>= 6.3.0~),
+         libkf6notifications-dev (>= 6.6.0~),
+         libkf6widgetsaddons-dev (>= 6.6.0~),
          qt6-base-dev (>= 6.5.0~),
          qt6-base-private-dev (>= 6.5.0~),
          ${misc:Depends},

## kf6-kjobwidgets 6.9.0

=== debian/changelog ===
kf6-kjobwidgets (6.9.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.9.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Dec 2024 14:47:48 +0000

kf6-kjobwidgets (6.8.0-0ubuntu3) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 04 Dec 2024 14:31:53 -0600

kf6-kjobwidgets (6.8.0-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.0.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 04 Dec 2024 14:31:53 -0600

kf6-kjobwidgets (6.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.7.0)
  * New upstream release (6.8.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 16:37:05 +0000

kf6-kjobwidgets (6.6.0-0ubuntu2) plucky; urgency=medium

  * Rebuild against Qt 6.7.2 private-abi.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Oct 2024 17:16:53 +0100

kf6-kjobwidgets (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:06:48 +0100

kf6-kjobwidgets (6.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Aug 2024 19:23:35 +0100

kf6-kjobwidgets (6.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.0)
  * Pass gcc option -std=c++17 to acc autopkgtests
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 13 Jul 2024 16:34:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-kjobwidgets
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -9,10 +10,10 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.6.0~),
-               libkf6coreaddons-dev (>= 6.6.0~),
-               libkf6notifications-dev (>= 6.6.0~),
-               libkf6widgetsaddons-dev (>= 6.6.0~),
+               extra-cmake-modules (>= 6.9.0~),
+               libkf6coreaddons-dev (>= 6.9.0~),
+               libkf6notifications-dev (>= 6.9.0~),
+               libkf6widgetsaddons-dev (>= 6.9.0~),
                libqt6sql6-sqlite <!nocheck>,
                libx11-dev,
                libxkbcommon-dev (>= 0.5.0~),
@@ -20,14 +21,14 @@
                qt6-base-private-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kjobwidgets
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kjobwidgets
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kjobwidgets.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kjobwidgets
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kjobwidgets
 Rules-Requires-Root: no
 
 Package: libkf6jobwidgets-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: widgets for tracking KJob instances - data files
  Window class that associates this job with a window given by
  window. This is used by KDialogJobUiDelegate as parent widget
@@ -44,10 +45,10 @@
 Package: libkf6jobwidgets-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6coreaddons-dev (>= 6.6.0~),
+Depends: libkf6coreaddons-dev (>= 6.9.0~),
          libkf6jobwidgets6 (= ${binary:Version}),
-         libkf6notifications-dev (>= 6.6.0~),
-         libkf6widgetsaddons-dev (>= 6.6.0~),
+         libkf6notifications-dev (>= 6.9.0~),
+         libkf6widgetsaddons-dev (>= 6.9.0~),
          qt6-base-dev (>= 6.5.0~),
          qt6-base-private-dev (>= 6.5.0~),
          ${misc:Depends},

## kf6-kjobwidgets 6.10.0

=== debian/changelog ===
kf6-kjobwidgets (6.10.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.9.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.10.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2025 23:25:00 +0100

kf6-kjobwidgets (6.8.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.8.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 Dec 2024 12:11:08 +0100

kf6-kjobwidgets (6.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 03 Nov 2024 19:29:26 -0600

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,33 @@
 Source: kf6-kjobwidgets
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.9.0~),
-               libkf6coreaddons-dev (>= 6.9.0~),
-               libkf6notifications-dev (>= 6.9.0~),
-               libkf6widgetsaddons-dev (>= 6.9.0~),
+               extra-cmake-modules (>= 6.10.0~),
+               libkf6coreaddons-dev (>= 6.10.0~),
+               libkf6notifications-dev (>= 6.10.0~),
+               libkf6widgetsaddons-dev (>= 6.10.0~),
                libqt6sql6-sqlite <!nocheck>,
                libx11-dev,
                libxkbcommon-dev (>= 0.5.0~),
-               qt6-base-dev (>= 6.5.0~),
+               qt6-base-dev (>= 6.6.0~),
                qt6-base-private-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kjobwidgets
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kjobwidgets
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kjobwidgets
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kjobwidgets
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kjobwidgets.git
 Rules-Requires-Root: no
 
 Package: libkf6jobwidgets-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
 Description: widgets for tracking KJob instances - data files
  Window class that associates this job with a window given by
  window. This is used by KDialogJobUiDelegate as parent widget
@@ -45,11 +44,11 @@
 Package: libkf6jobwidgets-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6coreaddons-dev (>= 6.9.0~),
+Depends: libkf6coreaddons-dev (>= 6.10.0~),
          libkf6jobwidgets6 (= ${binary:Version}),
-         libkf6notifications-dev (>= 6.9.0~),
-         libkf6widgetsaddons-dev (>= 6.9.0~),
-         qt6-base-dev (>= 6.5.0~),
+         libkf6notifications-dev (>= 6.10.0~),
+         libkf6widgetsaddons-dev (>= 6.10.0~),
+         qt6-base-dev (>= 6.6.0~),
          qt6-base-private-dev (>= 6.5.0~),
          ${misc:Depends},
 Recommends: libkf6jobwidgets-doc (= ${source:Version}),

## kf6-kjobwidgets 6.11.0

=== debian/changelog ===
kf6-kjobwidgets (6.11.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.11.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Feb 2025 17:23:40 +0100

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,15 @@
                dh-sequence-pkgkde-symbolshelper,
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.10.0~),
-               libkf6coreaddons-dev (>= 6.10.0~),
-               libkf6notifications-dev (>= 6.10.0~),
-               libkf6widgetsaddons-dev (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
+               libkf6coreaddons-dev (>= 6.11.0~),
+               libkf6notifications-dev (>= 6.11.0~),
+               libkf6widgetsaddons-dev (>= 6.11.0~),
                libqt6sql6-sqlite <!nocheck>,
                libx11-dev,
                libxkbcommon-dev (>= 0.5.0~),
                qt6-base-dev (>= 6.6.0~),
-               qt6-base-private-dev (>= 6.5.0~),
+               qt6-base-private-dev (>= 6.6.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kjobwidgets
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kjobwidgets
@@ -44,12 +44,12 @@
 Package: libkf6jobwidgets-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6coreaddons-dev (>= 6.10.0~),
+Depends: libkf6coreaddons-dev (>= 6.11.0~),
          libkf6jobwidgets6 (= ${binary:Version}),
-         libkf6notifications-dev (>= 6.10.0~),
-         libkf6widgetsaddons-dev (>= 6.10.0~),
+         libkf6notifications-dev (>= 6.11.0~),
+         libkf6widgetsaddons-dev (>= 6.11.0~),
          qt6-base-dev (>= 6.6.0~),
-         qt6-base-private-dev (>= 6.5.0~),
+         qt6-base-private-dev (>= 6.6.0~),
          ${misc:Depends},
 Recommends: libkf6jobwidgets-doc (= ${source:Version}),
 Description: widgets for tracking KJob instances - development files

## kf6-kjobwidgets 6.12.0

=== debian/changelog ===
kf6-kjobwidgets (6.12.0-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:05:57 -0500

kf6-kjobwidgets (6.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.12.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Mar 2025 10:53:06 +0000

kf6-kjobwidgets (6.11.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.11.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Feb 2025 16:48:41 +0000

kf6-kjobwidgets (6.10.0-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 03 Feb 2025 01:34:05 -0600

kf6-kjobwidgets (6.10.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.10.0)
  * Disable acc test for now.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2025 12:20:06 +0000

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,34 @@
 Source: kf6-kjobwidgets
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.11.0~),
-               libkf6coreaddons-dev (>= 6.11.0~),
-               libkf6notifications-dev (>= 6.11.0~),
-               libkf6widgetsaddons-dev (>= 6.11.0~),
+               extra-cmake-modules (>= 6.12.0~),
+               libkf6coreaddons-dev (>= 6.12.0~),
+               libkf6notifications-dev (>= 6.12.0~),
+               libkf6widgetsaddons-dev (>= 6.12.0~),
                libqt6sql6-sqlite <!nocheck>,
                libx11-dev,
                libxkbcommon-dev (>= 0.5.0~),
-               qt6-base-dev (>= 6.6.0~),
-               qt6-base-private-dev (>= 6.6.0~),
+               qt6-base-dev (>= 6.5.0~),
+               qt6-base-private-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kjobwidgets
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kjobwidgets
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kjobwidgets.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kjobwidgets
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kjobwidgets
 Rules-Requires-Root: no
 
 Package: libkf6jobwidgets-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: widgets for tracking KJob instances - data files
  Window class that associates this job with a window given by
  window. This is used by KDialogJobUiDelegate as parent widget
@@ -44,12 +45,12 @@
 Package: libkf6jobwidgets-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6coreaddons-dev (>= 6.11.0~),
+Depends: libkf6coreaddons-dev (>= 6.12.0~),
          libkf6jobwidgets6 (= ${binary:Version}),
-         libkf6notifications-dev (>= 6.11.0~),
-         libkf6widgetsaddons-dev (>= 6.11.0~),
-         qt6-base-dev (>= 6.6.0~),
-         qt6-base-private-dev (>= 6.6.0~),
+         libkf6notifications-dev (>= 6.12.0~),
+         libkf6widgetsaddons-dev (>= 6.12.0~),
+         qt6-base-dev (>= 6.5.0~),
+         qt6-base-private-dev (>= 6.5.0~),
          ${misc:Depends},
 Recommends: libkf6jobwidgets-doc (= ${source:Version}),
 Description: widgets for tracking KJob instances - development files

## kf6-kjobwidgets 6.13.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.12.0") # handled by release scripts
-set(KF_DEP_VERSION "6.12.0") # handled by release scripts
+set(KF_VERSION "6.13.0") # handled by release scripts
+set(KF_DEP_VERSION "6.13.0") # handled by release scripts
 project(KJobWidgets VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.12.0  NO_MODULE)
+find_package(ECM 6.13.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -64,8 +64,8 @@
                         SOVERSION 6)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.8.0
-    KF 6.11.0
+    QT 6.9.0
+    KF 6.12.0
 )
 
 ecm_install_po_files_as_qm(poqm)

=== debian/changelog ===
kf6-kjobwidgets (6.13.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.13.0).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Apr 2025 19:36:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,33 @@
 Source: kf6-kjobwidgets
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.12.0~),
-               libkf6coreaddons-dev (>= 6.12.0~),
-               libkf6notifications-dev (>= 6.12.0~),
-               libkf6widgetsaddons-dev (>= 6.12.0~),
+               extra-cmake-modules (>= 6.13.0~),
+               libkf6coreaddons-dev (>= 6.13.0~),
+               libkf6notifications-dev (>= 6.13.0~),
+               libkf6widgetsaddons-dev (>= 6.13.0~),
                libqt6sql6-sqlite <!nocheck>,
                libx11-dev,
                libxkbcommon-dev (>= 0.5.0~),
-               qt6-base-dev (>= 6.5.0~),
-               qt6-base-private-dev (>= 6.5.0~),
-Standards-Version: 4.7.0
+               qt6-base-dev (>= 6.6.0~),
+               qt6-base-private-dev (>= 6.6.0~),
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kjobwidgets
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kjobwidgets
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kjobwidgets
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kjobwidgets
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kjobwidgets.git
 Rules-Requires-Root: no
 
 Package: libkf6jobwidgets-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
 Description: widgets for tracking KJob instances - data files
  Window class that associates this job with a window given by
  window. This is used by KDialogJobUiDelegate as parent widget
@@ -45,12 +44,12 @@
 Package: libkf6jobwidgets-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6coreaddons-dev (>= 6.12.0~),
+Depends: libkf6coreaddons-dev (>= 6.13.0~),
          libkf6jobwidgets6 (= ${binary:Version}),
-         libkf6notifications-dev (>= 6.12.0~),
-         libkf6widgetsaddons-dev (>= 6.12.0~),
-         qt6-base-dev (>= 6.5.0~),
-         qt6-base-private-dev (>= 6.5.0~),
+         libkf6notifications-dev (>= 6.13.0~),
+         libkf6widgetsaddons-dev (>= 6.13.0~),
+         qt6-base-dev (>= 6.6.0~),
+         qt6-base-private-dev (>= 6.6.0~),
          ${misc:Depends},
 Recommends: libkf6jobwidgets-doc (= ${source:Version}),
 Description: widgets for tracking KJob instances - development files

## kf6-kjobwidgets 6.16.0

=== debian/changelog ===
kf6-kjobwidgets (6.16.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.16.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Jul 2025 16:45:26 +0100

kf6-kjobwidgets (6.15.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.15.0)
  * Comment out .install for docs packages for now, as the qch docs are
    currently not buildable in Ubuntu.
  * debian/rules: Do not build python bindings.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Jun 2025 16:33:55 +0100

kf6-kjobwidgets (6.14.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.14.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 06:58:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,34 @@
 Source: kf6-kjobwidgets
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.13.0~),
-               libkf6coreaddons-dev (>= 6.13.0~),
-               libkf6notifications-dev (>= 6.13.0~),
-               libkf6widgetsaddons-dev (>= 6.13.0~),
+               extra-cmake-modules (>= 6.16.0~),
+               libkf6coreaddons-dev (>= 6.16.0~),
+               libkf6notifications-dev (>= 6.16.0~),
+               libkf6widgetsaddons-dev (>= 6.16.0~),
                libqt6sql6-sqlite <!nocheck>,
                libx11-dev,
                libxkbcommon-dev (>= 0.5.0~),
-               qt6-base-dev (>= 6.6.0~),
-               qt6-base-private-dev (>= 6.6.0~),
-Standards-Version: 4.7.2
+               qt6-base-dev (>= 6.5.0~),
+               qt6-base-private-dev (>= 6.5.0~),
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kjobwidgets
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kjobwidgets
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kjobwidgets.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kjobwidgets
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kjobwidgets
 Rules-Requires-Root: no
 
 Package: libkf6jobwidgets-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: widgets for tracking KJob instances - data files
  Window class that associates this job with a window given by
  window. This is used by KDialogJobUiDelegate as parent widget
@@ -44,12 +45,12 @@
 Package: libkf6jobwidgets-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6coreaddons-dev (>= 6.13.0~),
+Depends: libkf6coreaddons-dev (>= 6.16.0~),
          libkf6jobwidgets6 (= ${binary:Version}),
-         libkf6notifications-dev (>= 6.13.0~),
-         libkf6widgetsaddons-dev (>= 6.13.0~),
-         qt6-base-dev (>= 6.6.0~),
-         qt6-base-private-dev (>= 6.6.0~),
+         libkf6notifications-dev (>= 6.16.0~),
+         libkf6widgetsaddons-dev (>= 6.16.0~),
+         qt6-base-dev (>= 6.5.0~),
+         qt6-base-private-dev (>= 6.5.0~),
          ${misc:Depends},
 Recommends: libkf6jobwidgets-doc (= ${source:Version}),
 Description: widgets for tracking KJob instances - development files
